#version 130

#include "/util/common.glsl"

/*
 * Varyings
 */

varying vec2 texcoord;
varying vec2 lmcoord;

varying vec4 glcolor;

varying vec4 entity;

/*
 * Uniforms & Attributes
 */

#ifdef FSH
    uniform sampler2D texture;
#endif

#ifdef VSH
    attribute vec4 mc_Entity;
#endif

/*
 * Shaders
 */

#ifdef FSH 

void main() {

	int blocktype = int(entity.x+0.5);
    vec4 color = texture2D(texture, texcoord) * glcolor;
	if (blocktype==10000) color.a=0.;
	gl_FragData[0] = color;

}

#endif

#ifdef VSH

void main() {

	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
	lmcoord  = (gl_TextureMatrix[1] * gl_MultiTexCoord1).xy;
	glcolor = gl_Color;

	entity = mc_Entity;

    gl_Position = ftransform();
	float factor = length(gl_Position.xy) + 0.1;
	gl_Position.xyz = vec3(gl_Position.xy/factor,gl_Position.z*.5);

}

#endif